//
//  PushSubscription.swift
//  Pachyderm
//
//  Created by Shadowfacts on 9/9/18.
//  Copyright © 2018 Shadowfacts. All rights reserved.
//

import Foundation

public struct PushSubscription: Decodable, Sendable {
    public let id: String
    public let endpoint: URL
    public let serverKey: String
    //    TODO: WTF is this?
//    public let alerts
    
    private enum CodingKeys: String, CodingKey {
        case id
        case endpoint
        case serverKey = "server_key"
//        case alerts
    }
}
